using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class BusLineSelectByPk : DataAccessBase
	{
		public BusLineSelectByPk()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[BusLineSelectByPk]");
			ConfigParameter();
		}

		private SqlParameter paramId;
		public System.Int32 Id
		{
			get
			{
				return (System.Int32)paramId.Value;
			}
			set
			{
				paramId.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramId = new SqlParameter();
			paramId.ParameterName = "@Id";
			paramId.SqlDbType = SqlDbType.Int;
			paramId.Precision = 10;
			paramId.Scale = 0;
			paramId.Direction = ParameterDirection.Input;
			paramId.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramId);
		}
	}
}